const std = @import("std");

pub fn main() !void {
    // var myallo = std.heap.GeneralPurposeAllocator(.{}){};
    const loggingallo = std.heap.LoggingAllocator(std.log.Level.debug, std.log.Level.debug);
    var myallo = loggingallo.init(std.heap.page_allocator);
    const allocator = myallo.allocator();
    var myarray = try allocator.alloc(u8, 10); // Peut échouer par manque de mémoire
    defer allocator.free(myarray);
    std.debug.print("{any}\n", .{myarray}); // Selon l'allocateur utilisé, donnée initialisées ou pas
    for (0..myarray.len) |i| {
        myarray[i] = @truncate(i);
    }
    std.debug.print("{any}\n", .{myarray});
}
