const std = @import("std");
const set = @import("ziglangSet");

pub fn main() !void {
    var gpa = std.heap.GeneralPurposeAllocator(.{}){};
    const allocator = gpa.allocator();

    // 2. Go to town!
    var A = set.Set(u32).init(allocator);
    defer A.deinit();

    _ = try A.add(5);
    _ = try A.add(6);
    _ = try A.add(7);
    _ = try A.appendSlice(&.{ 5, 3, 0, 9 });

    var iter = A.iterator();
    while (iter.next()) |el| {
        std.debug.print("element: {d} ", .{el.*});
    }
    std.debug.print("\n", .{});
}
