// Démonstration de l'utilisation de comptime (compilation time) pour
// faire des types génériques, ici une matrice.

// La fonction renvoie un type d'où la majuscule au début de son nom.
fn Matrix(
    comptime T: type,
    comptime width: comptime_int,
    comptime height: comptime_int,
) type {
    return [height][width]T;
}

const std = @import("std");

const size = 3;

pub fn main() void {
    const IntMatrix = Matrix(usize, size, size);
    var my_matrix: IntMatrix = std.mem.zeroes([size][size]usize);
    my_matrix[1][2] = 42;
    std.debug.print("{any}\n", .{my_matrix});
}
